/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.tm.core;

import java.util.ArrayList;
import java.util.List;

/**
 * 翻訳メモリ・ドライバーを管理するクラス。
 */
public class BentenTmDriverManager {
	protected static final List<BentenTmDriver> fDriverList = new ArrayList<BentenTmDriver>();

	/**
	 * ドライバーを登録します。
	 * 
	 * @param driver
	 */
	public static void registerDriver(final BentenTmDriver driver) {
		// TODO 各種前処理が未実装。

		fDriverList.add(driver);
	}

	/**
	 * ドライバーを登録解除します。
	 * 
	 * @param driver
	 */
	public static void deregisterDriver(final BentenTmDriver driver) {
		// TODO 各種前処理が未実装。

		fDriverList.remove(driver);
	}

	public static BentenTmDriver[] getDrivers() {
		final BentenTmDriver[] drivers = new BentenTmDriver[fDriverList.size()];
		for (int index = 0; index < fDriverList.size(); index++) {
			drivers[index] = fDriverList.get(index);
		}
		return drivers;
	}
}
