/*******************************************************************************
 * Copyright (c) 2009 Information-technology Promotion Agency, Japan.
 * All rights reserved. This program and the accompanying materials
 * are made available under the terms of the Eclipse Public License v1.0
 * which accompanies this distribution, and is available at
 * http://www.eclipse.org/legal/epl-v10.html
 *******************************************************************************/
package benten.cat.tm.core;

import java.io.File;
import java.util.List;

/**
 * 翻訳メモリ・エンジンをあらわすインタフェース。
 */
public interface BentenTmEngine {
	/**
	 * デフォルトの翻訳メモリをロードします。
	 */
	void load();

	/**
	 * TMX から TM をロードします。
	 * @param fileDir
	 */
	void loadTmx(File fileDir);

	/**
	 * 翻訳メモリをアンロードします。
	 */
	void unload();

	/**
	 * 完全一致翻訳メソッド。
	 */
	//	List<BentenTranslationSearchResult> search(String search);
	/**
	 * あいまい一致 TM エントリーのリストを取得します。
	 *
	 * @param search ターゲット
	 * @return あいまい一致 TM エントリーのリスト
	 */
	List<BentenTmSearchResult> fuzzySearch(String search);
}
